# Administration Reference

## fs sysname

Purpose

Reports or sets the CPU/operating system type

Synopsis

    fs sysname [-newsys <new sysname>]  [-help]

    fs sy [-n <new sysname>]  [-h]

Description

The fs sysname command sets or displays the local machine's CPU/operating system type as recorded in kernel memory. The Cache Manager substitutes the string for the @sys variable which can occur in AFS pathnames; the IBM AFS Quick Beginnings and IBM AFS Administration Guide explain how using @sys can simplify cell configuration. It is best to use it sparingly, however, because it can make the effect of changing directories unpredictable.

The command always applies to the local machine only. If issued on an NFS client machine accessing AFS via the NFS/AFS Translator, the string is set or reported for the NFS client machine. The Cache Manager on the AFS client machine serving as the NFS client's NFS/AFS translator machine stores the value in its kernel memory, and so can provide the NFS client with the proper version of program binaries when the user issues commands for which the pathname to the binaries includes @sys. There is a separate record for each user logged into the NFS client, which implies that if a user adopts a new identity (UNIX UID) during a login session on the NFS client--perhaps by using the UNIX su command--he or she must verify that the correct string is set for the new identity also.

Options

-newsys
  Sets the CPU/operating system indicator string for the local machine. If this argument is omitted, the output displays the current setting instead. AFS uses a standardized set of strings; consult the IBM AFS Quick Beginnings or AFS Release Notes.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

When the -newsys argument is omitted, the output reports the machine's system type in the following format:

       Current sysname is 'system_type'

Examples

The following example shows the output produced on a Sun SPARCStation running Solaris 5.7:

       % fs sysname
       Current sysname is 'sun4x_57'

The following command defines a machine to be a IBM RS/6000 running AIX 4.2:

       % fs sysname -newsys rs_aix42

Privilege Required

To display the current setting, no privilege is required. To include the -newsys argument on an AFS client machine, the issuer must be logged in as the local superuser root.

Related Information

fs exportafs

sys

IBM AFS Quick Beginnings

IBM AFS Administration Guide

© IBM Corporation 2000. All Rights Reserved